(function ($) {
	'use strict';

	$(function () {
		$('.btn-dummy-create-preview').click(function () {
			window.location.reload();
		});

		$('.btn-dummy-create').click(function () {
			let result = window.confirm('确定要生成吗?');
			if (!result) {
				return;
			}

			$.post("/wp-admin/admin-ajax.php",
				{
					action: 'admin_create_user_dummy',
					nick_start: $(this).data('nick_start'),
					avatar_start: $(this).data('avatar_start'),
				},
				function (res, status) {
					window.alert('马甲已生成');
				});
		});

		function addNick() {
			$.post("/wp-admin/admin-ajax.php",
			{
				action: 'admin_add_user_nick',
				nicks: $('.new-nick').val(),
			},
			function (res, status) {
				window.location.reload();
			});
		}

		$('.btn-add-user-nick').click(function () {
			addNick();
		});

		$('.new-nick').bind('keypress', function (event) {
			if (event.keyCode == "13") {
				addNick();
			}
		});

		$('.btn-del-user-nick').click(function () {
			$.post("/wp-admin/admin-ajax.php",
				{
					action: 'admin_del_user_nick',
					nick: $(this).data('nick'),
				},
				function (res, status) {
					window.location.reload();
				});
		});
	});

})(jQuery);
