<?php

/**
 * 追格马甲生成器
 *
 * 批量生成马甲用户，适用于酱茄-追格WordPress系列小程序、主题。
 * 
 * https://www.zhuige.com
 */

class ZhuiGe_User_Dummy_Admin
{
	private $plugin_name;
	private $version;

	public function __construct($plugin_name, $version)
	{
		$this->plugin_name = $plugin_name;
		$this->version = $version;

		$this->load_dependencies();
	}

	private function load_dependencies()
	{
		require_once JQ_USER_DUMMY_BASE_DIR .  'admin/class-zhuige-user-dummy-settings.php';
	}

	public function enqueue_styles()
	{
		wp_enqueue_style($this->plugin_name, JQ_USER_DUMMY_BASE_URL . 'admin/css/zhuige-user-dummy-admin.css', array(), $this->version, 'all');
	}

	public function enqueue_scripts()
	{
		wp_enqueue_script($this->plugin_name, JQ_USER_DUMMY_BASE_URL . 'admin/js/zhuige-user-dummy-admin.js', array('jquery'), $this->version, false);
	}
}
