<?php

/**
 * 追格马甲生成器
 *
 * 批量生成马甲用户，适用于酱茄-追格WordPress系列小程序、主题。
 * 
 * https://www.zhuige.com
 */

function zhuige_user_dummy_dashboard()
{
	$content = '欢迎使用追格马甲生成器! 批量生成马甲用户，适用于酱茄-追格WordPress系列小程序、主题。<br/><br/> 微信客服：jianbing2011 (加开源群、问题咨询、项目定制、购买咨询) <br/><br/> <a href="https://www.jiangqie.com/xz" target="_blank">更多免费产品</a>';
	$res = wp_remote_get("https://daili.zhuige.com/api/goods/description?id=zg_user_dummy", ['timeout' => 1, 'sslverify' => false]);
	if (!is_wp_error($res) && $res['response']['code'] == 200) {
		$data = json_decode($res['body'], TRUE);
		if ($data['code'] == 1) {
			$content = $data['data'];
		}
	}

	echo $content;
}

function zhuige_user_dummy_dashboard_widget_add()
{
	wp_add_dashboard_widget('zhuige_user_dummy_dashboard_widget', '追格马甲生成器', 'zhuige_user_dummy_dashboard');
}

add_action('wp_dashboard_setup', 'zhuige_user_dummy_dashboard_widget_add');
