<?php

/**
 * 追格马甲生成器
 *
 * 批量生成马甲用户，适用于酱茄-追格WordPress系列小程序、主题。
 * 
 * https://www.zhuige.com
 */

class ZhuiGe_User_Dummy_Public
{
	private $plugin_name;
	private $version;

	public function __construct($plugin_name, $version)
	{
		$this->plugin_name = $plugin_name;
		$this->version = $version;
	}

	public function enqueue_styles()
	{
		wp_enqueue_style($this->plugin_name, JQ_USER_DUMMY_BASE_URL . 'public/css/zhuige-user-dummy-public.css', array(), $this->version, 'all');
	}

	public function enqueue_scripts()
	{
		wp_enqueue_script($this->plugin_name, JQ_USER_DUMMY_BASE_URL . 'public/js/zhuige-user-dummy-public.js', array('jquery'), $this->version, false);
	}

}
